{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Tugas 5 PPW 2019</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}">
</head>
<body>

    {% if schedules %}
        {% for schedule in schedules %}
        <div class="pb-4">
            <ul class="mb-0">
                <li>
                    Name: {{ schedule.name }}<br>
                    Date {{ schedule.date }}<br>
                    {% if schedule.place != '' %}
                    Place: {{ schedule.place }}<br>
                    {% endif %}
                    Category: {{ schedule.category }}<br>
                    {% if schedule.message != '' %}
                    Description: {{ schedule.message }}<br>
                    {% endif %}
                </li>
                <form action="/remove/" method="POST">
                    {% csrf_token %}
                    <button type="submit" class="btn btn-primary add-schedule">REMOVE</button>
                    
                    <input type="hidden" name="id" value="{{ schedule.id }}">
                </form>
            </ul>
        </div>
        {% endfor %}
    {% endif %}
    <form action="/add/" method="POST">
        {% csrf_token %}
        <div class="form-group">
            <label for="inputName">Name of Activity</label>
            <input name="name" type="text" class="form-control" id="name" placeholder="Enter name of activity" maxlength="255" required>
        </div>
        <div class="form-group">
            <label for="inputDate">Date</label>
            <input name="date" type="datetime-local" class="form-control" id="date" placeholder="Enter date" required>
        </div>
        <div class="form-group">
            <label for="inputPlace">Place</label>
            <input name="place" type="text" class="form-control" id="place" placeholder="Enter place" maxlength="255">
        </div>
        <div class="form-group">
            <label for="inputCategory">Category</label>
            <select class="custom-select" name='category' required>
                <option value="">Select Category</option>
                <option value="College">College</option>
                <option value="Competition">Competition</option>
                <option value="Others">Others</option>
            </select>
            <div class="invalid-feedback">Please Select Category</div>
        </div>
        <div class="form-group">
            <label for="inputMessage">Description</label>
            <input name="message" type="text" class="form-control" id="message" placeholder="Enter description" maxlength="255">
        </div>
        <button type="submit" class="btn btn-primary add-schedule">ADD</button>
    </form>
</body>